temporarily suppress usage of vercomp.sh script until it can be fixed
authorKevin P. Fleming <kpfleming@digium.com>
Mon, 16 May 2005 13:51:56 +0000 (13:51 +0000)
committerKevin P. Fleming <kpfleming@digium.com>
Mon, 16 May 2005 13:51:56 +0000 (13:51 +0000)
git-svn-id: https://origsvn.digium.com/svn/asterisk/trunk@5699 65c4cc65-6c06-0410-ace0-fbb531ad65f3

Makefile

index 6cd52af..0101784 100755 (executable)
--- a/Makefile
+++ b/Makefile
@@ -259,9 +259,9 @@ LIBS+=-lpthread -ldl -lnsl -lsocket -lresolv -L$(CROSS_COMPILE_TARGET)/usr/local
 endif
 LIBS+=-lssl
 
-FLEXVER_GT_2_5_31=$(shell ./vercomp.sh flex \>= 2.5.31)
-BISONVER=$(shell bison --version | grep \^bison | egrep -o '[0-9]+\.[-0-9.]+[a-z]?' )
-BISONVERGE_85=$(shell ./vercomp.sh bison \>= 1.85 )
+#FLEXVER_GT_2_5_31=$(shell ./vercomp.sh flex \>= 2.5.31)
+#BISONVER=$(shell bison --version | grep \^bison | egrep -o '[0-9]+\.[-0-9.]+[a-z]?' )
+#BISONVERGE_85=$(shell ./vercomp.sh bison \>= 1.85 )
 
 ifeq (${FLEXVER_GT_2_5_31},true)
 FLEXOBJS=ast_expr2.o ast_expr2f.o
@@ -344,30 +344,31 @@ _version:
 .version: _version
 
 .y.c:
-       @if (($(BISONVERGE_85) = false)); then \
-               echo ================================================================================= ;\
-               echo NOTE: you may have trouble if you do not have bison-1.85 or higher installed! ;\
-               echo NOTE: you can pick up a copy at: http://ftp.gnu.org/ or its mirrors ;\
-               echo NOTE: You Have: $(BISONVER) ;\
-               echo ================================================================================; \
-       else \
-               echo EXCELLENT-- You have Bison version $(BISONVER), this should work just fine...;\
-       fi
+#      @if (($(BISONVERGE_85) = false)); then \
+#              echo ================================================================================= ;\
+#              echo NOTE: you may have trouble if you do not have bison-1.85 or higher installed! ;\
+#              echo NOTE: you can pick up a copy at: http://ftp.gnu.org/ or its mirrors ;\
+#              echo NOTE: You Have: $(BISONVER) ;\
+#              echo ================================================================================; \
+#      else \
+#              echo EXCELLENT-- You have Bison version $(BISONVER), this should work just fine...;\
+#      fi
        bison -v -d --name-prefix=ast_yy $< -o $@
 
 ast_expr.o: ast_expr.c
-       @echo NOTE:
-       @echo NOTE:
-       @echo NOTE: Using older version of ast_expr. To use the newer version,
-       @echo NOTE: Upgrade to flex 2.5.31 or higher, which can be found at http://
-       @echo NOTE:  http://sourceforge.net/project/showfiles.php?group_id=72099
-       @echo NOTE:
-       @echo NOTE:
+#      @echo NOTE:
+#      @echo NOTE:
+#      @echo NOTE: Using older version of ast_expr. To use the newer version,
+#      @echo NOTE: Upgrade to flex 2.5.31 or higher, which can be found at http://
+#      @echo NOTE:  http://sourceforge.net/project/showfiles.php?group_id=72099
+#      @echo NOTE:
+#      @echo NOTE:
        $(CC) -c $(CPPFLAGS) $(CFLAGS) ast_expr.c
 
 ast_expr2.o: ast_expr2.c
 
 ast_expr2f.o: ast_expr2f.c
+
 ast_expr2f.c: ast_expr2.fl
        flex ast_expr2.fl
 
@@ -383,7 +384,6 @@ testexpr2 :
        gcc -g -o testexpr2 ast_expr2f.o ast_expr2.o
        rm ast_expr2.c ast_expr2.o ast_expr2f.o ast_expr2f.c
 
-
 manpage: asterisk.8.gz
 
 asterisk.8.gz: asterisk.sgml